Skip to main content
GET
/
api
/
v1
/
top-domains
Top Visible Domains
curl --request GET \
  --url https://api.shareofsearch.jplus.io/api/v1/top-domains \
  --header 'Authorization: Bearer <token>'
[
  {
    "domain": "<string>",
    "nb_keywords": 123,
    "nb_unique_urls": 123,
    "visibility_score": 123,
    "average_rank": 123,
    "presence_rate": 123,
    "total": 123,
    "occurrences": 123,
    "is_my_domain": true,
    "competitor_type": "UNKNOWN",
    "nb_keywords_prev_collect": 123,
    "nb_unique_urls_prev_collect": 123,
    "average_rank_prev_collect": 123,
    "presence_rate_prev_collect": 123,
    "total_prev_collect": 123,
    "occurrences_prev_collect": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collect_id
string | null
collect_ids
string[] | null
thematics
string[] | null
keyword_type
string[] | null
page_number
integer | null
rows_per_page
integer | null
prev_collect_ids
string[] | null
persona_ids
string[] | null
topic_ids
string[] | null
funnel_stages
string[] | null
strength_ids
string[] | null
weakness_ids
string[] | null
related_product_ids
string[] | null
sub_brand_ids
string[] | null
perception_type
string | null
project_id
string
required

Project Id

sources
enum<string>[]
required

Sources

Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
client_id
string
required

Client id

domains
string[] | null

Domains

competitor_types
enum<string>[] | null

Competitor Types

Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN

Response

Successful Response

domain
string
required
nb_keywords
integer
required
nb_unique_urls
integer
required
visibility_score
integer
required
average_rank
integer
required
presence_rate
integer
required
total
integer
required
occurrences
integer
required
is_my_domain
boolean
required
competitor_type
enum<string> | null
default:UNKNOWN
Available options:
BRANDED_WEBSITE,
COMMUNITY_HELP_CENTER,
COMPARISON_SITE,
GOVERNMENT_ACADEMIC,
INFLUENCER_CREATOR_BLOG,
NEWS_MEDIA,
PRODUCT_REVIEW_SITE,
QA_FORUM,
RETAIL_ECOMMERCE,
SPECIALIST_BLOG,
WIKI_ENCYCLOPEDIA,
UNKNOWN
nb_keywords_prev_collect
integer | null
nb_unique_urls_prev_collect
integer | null
average_rank_prev_collect
integer | null
presence_rate_prev_collect
integer | null
total_prev_collect
integer | null
occurrences_prev_collect
integer | null